Skip to main content
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
traders
/
{tag}
Token - Get Token Traders
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/traders/{tag} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "address": "MJKqp326RZCHnAAbew9MDdui3iCKWco7fsK9sVuZTX2",
      "blockTimestamp": "2025-01-15T10:30:00Z",
      "onchainCreatedAt": "2025-01-15T10:30:00Z",
      "percentileRankTradeAmountInUsd": "0.98",
      "percentileRankTradeCount": 95,
      "rankTradeAmountInUsd": "0.95",
      "tradeAmountInNative": "1500.50",
      "tradeAmountInUsd": "45000.00",
      "tradeCount": 42,
      "transactionSignature": "5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz..."
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

tag
enum<string>
required

Token trader tag

Available options:
fresh,
sandwish,
bundle,
sniper,
dev,
pro,
insider,
kol,
bluechip,
smart

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev

Response

200 - application/json

Get Token Traders

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="